credentials:
  system:
    domainCredentials:
    - credentials:
      - usernamePassword:
          description: "Plain Username / Password for legacy authentication"
          id: "bjenkins"
          password: ${BJENKINS_PASSWORD}
          scope: GLOBAL
          username: "bjenkins"
      - gitlabPersonalAccessToken:
          description: "CERN gitlab personal access token"
          id: "bjenkins-gitlab-pat"
          scope: GLOBAL
          token: ${BJENKINS_GITLAB_PAT}
      - basicSSHUserPrivateKey:
          description: "SSH Private Key"
          id: "bjenkins-ssh"
          privateKeySource:
            directEntry:
              privateKey: ${readFile:${SECRETS_DIRECTORY}/keys/ssh-privatekey} 
          scope: GLOBAL
          username: "bjenkins"                
      - basicSSHUserPrivateKey:
          description: "SCADA Stats Private Key"
          id: "scats-admin"
          privateKeySource:
            directEntry:
              privateKey: ${readFile:${SECRETS_DIRECTORY}/keys/scats-admin-privatekey} 
          scope: GLOBAL
          username: "jenkins"                

